> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get Capacity Block Group by its ID.



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /capacity/v1/capacity-block-groups/{id}
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /capacity/v1/capacity-block-groups/{id}:
    get:
      tags:
        - nebius.capacity.v1.CapacityBlockGroupService
      summary: Get
      description: Get Capacity Block Group by its ID.
      operationId: CapacityBlockGroupService_Get
      parameters:
        - description: ID of the Capacity Block Group.
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1CapacityBlockGroup'
          description: A successful response.
components:
  schemas:
    v1CapacityBlockGroup:
      description: Capacity Block Group is a parent resource for Capacity Intervals.
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/v1CapacityBlockGroupSpec'
        status:
          $ref: '#/components/schemas/v1CapacityBlockGroupStatus'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    v1CapacityBlockGroupSpec:
      description: Capacity Block Group specification.
      type: object
    v1CapacityBlockGroupStatus:
      description: Capacity Block Group status.
      properties:
        currentContinuousInterval:
          $ref: '#/components/schemas/v1CurrentContinuousInterval'
        currentLimit:
          description: Capacity Block Group current quota limit.
          format: uint64
          type: string
        nextChangeAt:
          description: Time of the next Capacity Block Group quota change.
          format: date-time
          type: string
        nextChangeTo:
          description: |-
            The next expected change of the Capacity Block Group quota limit.
            the quota limit change that is currently performed.
          format: uint64
          type: string
        reconciling:
          description: Shows that changes are in flight.
          type: boolean
        region:
          description: |-
            Name of the region where the Capacity Block Group is allocated.
            Example: "eu-north1".
          type: string
        resourceAffinity:
          $ref: '#/components/schemas/v1ResourceAffinity'
        service:
          description: >-
            Service for which the Capacity Block Group is allocated.

            Derived from the resource_affinity variant (compute_v1 -> "compute",
            tokenfactory_v1 -> "tokenfactory").
          type: string
        state:
          $ref: '#/components/schemas/v1CapacityBlockGroupStatusState'
        usage:
          description: Capacity Block Group quota usage.
          format: uint64
          type: string
        usagePercentage:
          description: Capacity Block Group quota usage percentage.
          type: string
        usageState:
          $ref: '#/components/schemas/v1CapacityBlockGroupStatusUsageState'
      type: object
    v1CurrentContinuousInterval:
      description: >-
        Current, last or future concatenation of Capacity Intervals in a
        Capacity Block Group.
      properties:
        endTime:
          description: End time of the last interval(s) in Continuous Interval.
          format: date-time
          type: string
        quantity:
          description: >-
            Quota quantity that is currently set, was set or will be set in the
            Continuous Interval depending on it's

            start_time and end_time.

            If the Continuous Interval is currently active, quantity is the sum
            of quantities of the currently active

            non-zero intervals.

            If the Continuous Interval is in the past, quantity is the sum of
            quantities of the last non-zero active

            intervals.

            If the Continuous Interval is in the future, quantity is the sum of
            the quantities of the first scheduled

            non-zero active intervals.
          format: uint64
          type: string
        startTime:
          description: Start time of the first interval(s) in Continuous Interval.
          format: date-time
          type: string
        state:
          $ref: '#/components/schemas/v1CurrentContinuousIntervalState'
      type: object
    v1ResourceAffinity:
      description: Specification of the Capacity Block Group.
      properties:
        computeV1:
          $ref: '#/components/schemas/v1ResourceAffinityComputeV1'
      type: object
    v1CapacityBlockGroupStatusState:
      default: STATE_UNSPECIFIED
      description: |-
        Shows the state of a Capacity Block Group with respect to its quota.

         - STATE_UNSPECIFIED: Shouldn't happen.
         - STATE_ALLOCATING: Capacity Block Group quota is being allocated as one or more capacity intervals have started.
         - STATE_ACTIVE: Capacity Block Group quota is already allocated and active as one or more capacity intervals are active.
         - STATE_SHUTTING: Capacity Block Group is being shut down due to absence of active intervals at the time.
         - STATE_INACTIVE: Capacity Block Group is inactive due to absence of active intervals at the time.
      enum:
        - STATE_UNSPECIFIED
        - STATE_ALLOCATING
        - STATE_ACTIVE
        - STATE_SHUTTING
        - STATE_INACTIVE
      type: string
    v1CapacityBlockGroupStatusUsageState:
      default: USAGE_STATE_UNSPECIFIED
      description: |-
        Shows the usage state if a Capacity Block Group quota.

         - USAGE_STATE_UNSPECIFIED: Shouldn't happen.
         - USAGE_STATE_USED: Capacity Block Group quota is actively in use.
         - USAGE_STATE_NOT_USED: Capacity Block Group quota is not currently in use.
         - USAGE_STATE_UNKNOWN: Capacity Block Group region is unreachable, the current usage is therefore unknown.
        Please, retry the request later.
      enum:
        - USAGE_STATE_UNSPECIFIED
        - USAGE_STATE_USED
        - USAGE_STATE_NOT_USED
        - USAGE_STATE_UNKNOWN
      type: string
    v1CurrentContinuousIntervalState:
      default: STATE_UNSPECIFIED
      description: |-
        Shows a state of a Continuous Interval.

         - STATE_UNSPECIFIED: Shouldn't happen.
         - STATE_SCHEDULED: Continuous Interval is in the future.
         - STATE_ACTIVE: Continuous Interval is active.
         - STATE_EXPIRED: Continuous Interval is in the past.
      enum:
        - STATE_UNSPECIFIED
        - STATE_SCHEDULED
        - STATE_ACTIVE
        - STATE_EXPIRED
      type: string
    v1ResourceAffinityComputeV1:
      properties:
        fabric:
          description: The fabric where the Capacity Block Group is allocated.
          type: string
        platform:
          description: The platform for which the Capacity Block Group is allocated.
          type: string
      required:
        - platform
      title: First version of Compute service resource affinity
      type: object
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````